Android-приложение с поддержкой android-v4.jar добавлено к ошибке, сталкивающейся с ошибкой при попытке входа в систему с помощью progaurd в IntelliJ Idea

Я пытаюсь подписать мое приложение. Без проверки прогаурма процесс регистрации идет нормально. Но если я использую progaurd, я получаю следующую трассировку стека. Я попытался добавить

-dontwarn CompatHoneycomb -keep class android.support.v4. { *; } -dontwarn **CompatCreatorHoneycombMR2 -dontwarn **ActivityCompatHoneycomb -dontwarn **MenuCompatHoneycomb 

Line to progaurd.cfg, а также обновить progaurd.cfg, загрузив новую версию и скопировав вставные банки, а также проверили на наличие пробелов в месте расположения проекта. Ни один из них, похоже, не работает.

Приложения min sdk version – 9. Я ищу для загрузки приложения на вкладку галактики, на которой работает Android 3.2 (просто подумал, что эти данные могут понадобиться)

 **Error:Warning: android.support.v4.os.ParcelableCompatCreatorHoneycombMR2: can't find superclass or interface android.os.Parcelable$ClassLoaderCreator Error:Warning: android.support.v4.view.AccessibilityDelegateCompatIcs$1: can't find superclass or interface android.view.View$AccessibilityDelegate Error:Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs$1: can't find superclass or interface android.view.accessibility.AccessibilityManager$AccessibilityStateChangeListener Error:Warning: android.support.v4.accessibilityservice.AccessibilityServiceInfoCompatIcs: can't find referenced method 'boolean getCanRetrieveWindowContent()' in class android.accessibilityservice.AccessibilityServiceInfo Error:Warning: android.support.v4.accessibilityservice.AccessibilityServiceInfoCompatIcs: can't find referenced method 'java.lang.String getDescription()' in class android.accessibilityservice.AccessibilityServiceInfo Error:Warning: android.support.v4.accessibilityservice.AccessibilityServiceInfoCompatIcs: can't find referenced method 'java.lang.String getId()' in class android.accessibilityservice.AccessibilityServiceInfo Error:Warning: android.support.v4.accessibilityservice.AccessibilityServiceInfoCompatIcs: can't find referenced method 'android.content.pm.ResolveInfo getResolveInfo()' in class android.accessibilityservice.AccessibilityServiceInfo Error:Warning: android.support.v4.accessibilityservice.AccessibilityServiceInfoCompatIcs: can't find referenced method 'java.lang.String getSettingsActivityName()' in class android.accessibilityservice.AccessibilityServiceInfo Error:Warning: android.support.v4.os.ParcelableCompatCreatorHoneycombMR2: can't find referenced class android.os.Parcelable$ClassLoaderCreator Error:Warning: android.support.v4.view.AccessibilityDelegateCompatIcs: can't find referenced class android.view.View$AccessibilityDelegate Error:Warning: android.support.v4.view.AccessibilityDelegateCompatIcs: can't find referenced class android.view.accessibility.AccessibilityNodeInfo Error:Warning: android.support.v4.view.AccessibilityDelegateCompatIcs$1: can't find referenced class android.view.View$AccessibilityDelegate Error:Warning: android.support.v4.view.AccessibilityDelegateCompatIcs$1: can't find referenced class android.view.accessibility.AccessibilityNodeInfo Error:Warning: android.support.v4.view.ViewCompatICS: can't find referenced method 'boolean canScrollHorizontally(int)' in class android.view.View Error:Warning: android.support.v4.view.ViewCompatICS: can't find referenced method 'boolean canScrollVertically(int)' in class android.view.View Error:Warning: android.support.v4.view.ViewCompatICS: can't find referenced class android.view.View$AccessibilityDelegate Error:Warning: android.support.v4.view.ViewCompatICS: can't find referenced method 'void setAccessibilityDelegate(android.view.View$AccessibilityDelegate)' in class android.view.View Error:Warning: android.support.v4.view.ViewCompatICS: can't find referenced method 'void onPopulateAccessibilityEvent(android.view.accessibility.AccessibilityEvent)' in class android.view.View Error:Warning: android.support.v4.view.ViewCompatICS: can't find referenced method 'void onInitializeAccessibilityEvent(android.view.accessibility.AccessibilityEvent)' in class android.view.View Error:Warning: android.support.v4.view.ViewCompatICS: can't find referenced class android.view.accessibility.AccessibilityNodeInfo Error:Warning: android.support.v4.view.ViewCompatICS: can't find referenced method 'void onInitializeAccessibilityNodeInfo(android.view.accessibility.AccessibilityNodeInfo)' in class android.view.View Error:Warning: android.support.v4.view.ViewGroupCompatIcs: can't find referenced method 'boolean onRequestSendAccessibilityEvent(android.view.View,android.view.accessibility.AccessibilityEvent)' in class android.view.ViewGroup Error:Warning: android.support.v4.view.accessibility.AccessibilityEventCompatIcs: can't find referenced method 'int getRecordCount()' in class android.view.accessibility.AccessibilityEvent Error:Warning: android.support.v4.view.accessibility.AccessibilityEventCompatIcs: can't find referenced class android.view.accessibility.AccessibilityRecord Error:Warning: android.support.v4.view.accessibility.AccessibilityEventCompatIcs: can't find referenced method 'void appendRecord(android.view.accessibility.AccessibilityRecord)' in class android.view.accessibility.AccessibilityEvent Error:Warning: android.support.v4.view.accessibility.AccessibilityEventCompatIcs: can't find referenced method 'android.view.accessibility.AccessibilityRecord getRecord(int)' in class android.view.accessibility.AccessibilityEvent Error:Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs: can't find referenced class android.view.accessibility.AccessibilityManager$AccessibilityStateChangeListener Error:Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs: can't find referenced method 'boolean addAccessibilityStateChangeListener(android.view.accessibility.AccessibilityManager$AccessibilityStateChangeListener)' in class android.view.accessibility.AccessibilityManager Error:Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs: can't find referenced method 'boolean removeAccessibilityStateChangeListener(android.view.accessibility.AccessibilityManager$AccessibilityStateChangeListener)' in class android.view.accessibility.AccessibilityManager Error:Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs: can't find referenced method 'java.util.List getEnabledAccessibilityServiceList(int)' in class android.view.accessibility.AccessibilityManager Error:Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs: can't find referenced method 'java.util.List getInstalledAccessibilityServiceList()' in class android.view.accessibility.AccessibilityManager Error:Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs: can't find referenced method 'boolean isTouchExplorationEnabled()' in class android.view.accessibility.AccessibilityManager Error:Warning: android.support.v4.view.accessibility.AccessibilityManagerCompatIcs$1: can't find referenced class android.view.accessibility.AccessibilityManager$AccessibilityStateChangeListener Error:Warning: android.support.v4.view.accessibility.AccessibilityNodeInfoCompatIcs: can't find referenced class android.view.accessibility.AccessibilityNodeInfo Error:Warning: android.support.v4.view.accessibility.AccessibilityRecordCompatIcs: can't find referenced class android.view.accessibility.AccessibilityRecord Error:Warning: android.support.v4.widget.EdgeEffectCompatIcs: can't find referenced class android.widget.EdgeEffect Error:Warning: there were 124 unresolved references to classes or interfaces. Error: You may need to specify additional library jars (using '-libraryjars'). Error:Warning: there were 20 unresolved references to program class members. Error: Your input classes appear to be inconsistent. Error: You may need to recompile them and try again. Error: Alternatively, you may have to specify the option Error: '-dontskipnonpubliclibraryclassmembers'. Error:java.io.IOException: Please correct the above warnings first. Error: at proguard.Initializer.execute(Initializer.java:321) Error: at proguard.ProGuard.initialize(ProGuard.java:211) Error: at proguard.ProGuard.execute(ProGuard.java:86) Error: at proguard.ProGuard.main(ProGuard.java:492)** 

Добавьте эту строку cfg: -dontwarn android.support. ** вы можете увидеть это в своем sdk, например: android-sdks / tools / proguard / docs / index.html, которые говорят: если вы используете библиотеку совместимости Android, вы должны Добавьте следующую строку, чтобы ProGuard знал, что это нормально, что библиотека ссылается на некоторые классы, которые недоступны во всех версиях API:

 -dontwarn android.support.** 

Я нашел хак для проблемы, я добавил команду в progaurd.cfg и vola, она отлично работает сейчас

 -dontwarn android.support.v4.** 

Я не уверен, что это правильный путь, потому что, как я понимаю, я просто подавляю предупреждения.

-dontwarn android.support.v4. ** Работал для меня.

В то время как минимальный уровень SDK равен 9, вы можете нацелиться на более высокие уровни SDK, если вы не пробовали это, я бы предложил таргетинг 14, это решает очень похожий problekm для меня.

Если вы загрузите последнюю версию Android-инструментов, вы должны поместить библиотеку поддержки в папку / libs.

Возможно, это твоя проблема.